<?php

use Illuminate\Support\Facades\Route;
use Modules\Tuiguang\Http\Controllers\PromotionController;
use Modules\Tuiguang\Http\Controllers\RanseConfigController;

Route::prefix('tuiguang')->group(function () {
    Route::prefix('promotion')->group(function(){
        Route::get('list', [PromotionController::class, 'list']);
        Route::post('updateSeriesSequence', [PromotionController::class, 'updateSeriesSequence']);
        Route::post('delete', [PromotionController::class, 'delete']);
        Route::post('add', [PromotionController::class, 'add']);
        Route::post('updateCallbackConfig', [PromotionController::class, 'updateCallbackConfig']);
    });

    Route::prefix('ranseConfig')->group(function(){
        Route::get('getRanseDuration', [RanseConfigController::class, 'getRanseDuration']);
        Route::post('setRanseDuration', [RanseConfigController::class, 'setRanseDuration']);
    });
});

